
package org.mule.module.linkedin.config;

import org.mule.api.Capabilities;
import org.mule.api.Capability;
import org.mule.module.linkedin.LinkedInConnector;


/**
 * A <code>LinkedInConnectorCapabilitiesAdapter</code> is a wrapper around {@link LinkedInConnector } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class LinkedInConnectorCapabilitiesAdapter
    extends LinkedInConnector
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        if (capability == Capability.OAUTH1_CAPABLE) {
            return true;
        }
        return false;
    }

}
